<?php

require_once "../../../app/model/db.class.php";

if ($_POST['accion']=='mostrar_tabla'){

    $cadena="<center><br><table border='0' cellspacing='0'  cellpadding='0' >";
    $cadena.="<tr>";
    $cadena.="<td><b>CODIGO</b></td><td width='60'><INPUT style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='codigo' SIZE='40'></td>";
    $cadena.="<td>&nbsp;</td><td><b>DESCRIPCI&Oacute;N</b></td><td width='55'><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='descripcion' SIZE='55' onkeyup = 'this.value=this.value.toUpperCase()'></td>";  
    $cadena.="<tr><td colspan='10' align='center'><br><INPUT TYPE='button' name='btngrabar' onclick='Grabar();' value=' Grabar '><INPUT TYPE='button' name='btnlimpiar' onclick='Limpiar();' value=' Limpiar '></td></tr></table>";
    $cadena.="</center>";
    echo $cadena;

}

//------------------------------------

if ($_POST['accion']=='grabar_Cfalta'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $descripcion=  ($_POST['descripcion']);
    
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resultado2=$obj->consulta("select * from tipo_falta where codigo='".$codigo."'");
    $n=$obj->numero_de_filas($resultado2);
    
    if($n>0)
    {
        echo "Codigo Existente";
    }else{
        $resultado=$obj->consulta("insert into tipo_falta (codigo,descripcion,orden) values('".$codigo."','".$descripcion."','')");
        $obj->disconnect();

        if($resultado){
           echo "Registro Grabado";
        }    
    }
}
//------------------------------------

if ($_POST['accion']=='actualizar_Cfalta'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $descripcion=($_POST['descripcion']);
    $sec=$_POST['sec'];

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("update tipo_falta set codigo='".$codigo."', descripcion ='".$descripcion."' where orden='".$sec."'");
    
   $obj->disconnect();

    if($resultado){
       echo "Clase de Falta Actualizada";
    }
}


//------------------------------------

if ($_POST['accion']=='borrar_Cfalta'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $resultado=$obj->consulta("select * from tipo_falta where orden='".$codigo."'"); 
    
    $row= $obj->fetch_assoc($resultado);   
    
    $resultado2=$obj->consulta("select * from faltas where tipo_falta='".$row['codigo']."'");
    $n=$obj->numero_de_filas($resultado2);
    

    if ($n!=0){
       echo "No se puede Eliminar el Tipo de Falta - Contiene Registros -";
    }
    else{
       $resultado1=$obj->consulta("delete from tipo_falta where orden='".$codigo."'");

       if($resultado1){
          echo "Clase de Falta Eliminada";
    }}
    

    $obj->disconnect();

}

//------------------------------------

if ($_POST['accion']=='editar_Cfalta'){


    $obj = new database();

    $codigo=$_POST['codigo'];
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select * from tipo_falta where orden='".$codigo."'");
    $obj->disconnect();

    $row = $obj->fetch_assoc($query);
    
    $cadena="<center><br><table border='0' cellspacing='0'  cellpadding='0' >";
    $cadena.="<tr>";
    $cadena.="<td><b>CODIGO</b></td><td width='60'><INPUT style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='codigo' readonly='readonly' VALUE='".$row['codigo']."'  SIZE='40'></td>";
    $cadena.="<td>&nbsp;</td><td><b>DESCRIPCI&Oacute;N</b></td><td width='55'><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' VALUE='".($row['descripcion'])."' ID='descripcion' SIZE='55' onkeyup = 'this.value=this.value.toUpperCase()'></td>";  
    $cadena.="<tr><td colspan='10' align='center'><br><INPUT TYPE='button' name='btngrabar' onclick='Actualizar(".$codigo.");' value=' Grabar '><INPUT TYPE='button' name='btnlimpiar' onclick='Limpiar();' value=' Limpiar '></td></tr></table>";
    $cadena.="<center>";
    echo $cadena;

}


?>
